View Issue Details

IDProjectCategoryView StatusLast Update
0002464ScribusUser Interfacepublic2014-08-01 09:36
Reporteravox Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
PlatformallOSallOS Versionall
Product Version1.3 
Target VersionFixed in Version 
Summary0002464: Metabug: GUI appearance
DescriptionThis meta-issue lists minor GUI issues which aren't essential but would make Scribus prettier when fixed.

* current page and current pageitem should not be marked by a red frame. Use selection color instead (either from Scribus preferences or ask Qt)

* don't use saturated colors for guides and other gui elements, use dotted line for margins

* don't print grid for x=0 and y=0

* use QPushButtons only for ok/cancel/apply etc. and QToolButtons for the rest

* use flat buttons in toolbar-like structures as the pageselector

* use grid system for dialogs

* apply consistent widget widths in dialogs

* center pageselector below canvas

* use consistent dialog types + decorations for modal dialogs / palettes / main windows
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
Patch

Relationships

related to 0002935 acknowledgedsubik Metabug: Guide Dialog 
parent of 0006044 acknowledged Properties Palette could use far less screen estate 
parent of 0010409 assignedale [PATCH] Improve access to contour editing 
related to 0003816 closedcbradney Preferences/Tools: Add appriopriate titles for subsections 
related to 0003967 closedfschmid Preferences/General: Font size setting for Palette titles needed 
related to 0003980 closedcbradney Palettes: Inconsistent font size of palette titles 
related to 0003291 closedplinnell Preferences>General: Font face setting needed 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2005-08-21 14:08 avox New Issue
2005-12-30 09:02 subik Relationship added related to 0002935
2006-04-19 22:57 mhanski OS => all
2006-04-19 22:57 mhanski OS Version => all
2006-04-19 22:57 mhanski Product Version 1.3.1 => 1.3
2006-04-19 22:57 mhanski Status new => confirmed
2006-04-24 11:05 mhanski Relationship added related to 0003538
2006-04-24 11:05 mhanski Relationship deleted related to 0003538
2006-07-02 22:14 mhanski Additional Information Updated
2006-07-20 08:52 mhanski Relationship added related to 0003816
2006-07-20 08:53 mhanski Relationship added related to 0003967
2006-07-20 08:55 mhanski Relationship added related to 0003980
2006-07-20 08:56 mhanski Relationship added related to 0003291
2014-07-09 15:46 Kunda Status confirmed => acknowledged
2014-08-01 09:36 JLuc Relationship added parent of 0006044
2014-08-01 09:36 JLuc Relationship added parent of 0010409